Thai3Dviz  

Go Back   Thai3Dviz > AutoCad > ห้องดราฟ (AutoCad)

ห้องดราฟ (AutoCad) ข่าวน่าสนใจ ,ถาม ตอบปัญหา เกี่ยวกับโปรแกรม AutoCad

Reply
 
Share Thread Tools Display Modes
Old 08-04-2015, 06:14 PM   #1
ก ล้ ว ย
สมาชิกไทยวิซ
 
ก ล้ ว ย's Avatar
 
Join Date: Jun 2012
Location: chumphae khonkaen
Posts: 46
ก ล้ ว ย is on a distinguished road
Default มาสร้างคำสั่งใช้งานเองกันดีกว่า

ก๊อปทั้งหมดด้านล่างไปใส่ notepad แล้วเซฟเป็น ccl.lsp
Load มาใช้งาน พิมพ์ c1 เปลี่ยนสีแดง c2 เหลือง --- จนถึง c8 สีเทา
และ clc เปลี่ยนเส้นเซ็นเตอร์ clh เปลี่ยนเส้นประ
ลองกันดูครับ เดี๋ยวมาบอกการโหลด lisp ด้วย Interface และก็สร้าง Toolbars
ของเราเอง

(defun c:c1 ()
(command "select" pause)
(command "chprop" "p" "" "c" "1" "")
(princ)
);;red

(defun c:c2 ()
(command "select" pause)
(command "chprop" "p" "" "c" "2" "")
(princ)
);;yellow

(defun c:c3 ()
(command "select" pause)
(command "chprop" "p" "" "c" "3" "")
(princ)
);;green

(defun c:c4 ()
(command "select" pause)
(command "chprop" "p" "" "c" "4" "")
(princ)
);cyan

(defun c:c5 ()
(command "select" pause)
(command "chprop" "p" "" "c" "5" "")
(princ)
);;blue

(defun c:c6 ()
(command "select" pause)
(command "chprop" "p" "" "c" "6" "")
(princ)
);;magenta

(defun c:c7 ()
(command "select" pause)
(command "chprop" "p" "" "c" "7" "")
(princ)
);;white

(defun c:c8 ()
(command "select" pause)
(command "chprop" "p" "" "c" "8" "")
(princ)
);;gray
(defun c:clc ()
(if (null (tblsearch "LType" "center"))
(command "_linetype" "load" "center" "acad.lin" "" "")
);if null center line
(command "select" pause)
(command "chprop" "p" "" "_ltype" "center" "")
(princ)
);;center
(defun c:clh ()
(if (null (tblsearch "LType" "HIDDEN"))
(command "_linetype" "load" "hidden" "acad.lin" "" "")
);if null hidden line
(command "select" pause)
(command "chprop" "p" "" "_ltype" "hidden" "")
(princ)
);;center
__________________

To view links or images in signatures your post count must be 10 or greater. You currently have 0 posts.
ก ล้ ว ย is offline  

Reply With Quote
Old 09-04-2015, 04:42 PM   #2
ก ล้ ว ย
สมาชิกไทยวิซ
 
ก ล้ ว ย's Avatar
 
Join Date: Jun 2012
Location: chumphae khonkaen
Posts: 46
ก ล้ ว ย is on a distinguished road
Default

มาโหลด lisp ทุกครั้งที่เราเปิด AutoCAD กัน อันนี้ผมเก็บไฟล์ ccl.lsp
ไว้ที่ C:\my lisp
เริ่มที่ 1. ไปที่ Tools 2. เลือก Customize 3. เลือก Interface


ที่ User Interface
4. เลือก Lisp Files 5. คลิกขวาเลือก Load LISP


ไปที่โฟร์เดอร์ C:\my lisp
6. เลือกไฟล์ ccl.lsp ของเรา 7. กด Open


ไฟล์ ccl.lsp ของเรามาแล้ว
8. กด Apply เป็นอันเสร็จพิธี


ลองกดเรึยกใช้ได้เลย c1 เลือกเส้น Enter เปลี่ยนสีเป็นสีแดง
ลองทำกันดูนะครับ
ต่อไปเดี่ยวมาทำ Tools Bars ใช้กันบ้าง
__________________

To view links or images in signatures your post count must be 10 or greater. You currently have 0 posts.
ก ล้ ว ย is offline   Reply With Quote
Old 10-04-2015, 12:15 AM   #3
adool
สมาชิกไทยวิซ
 
Join Date: Apr 2015
Posts: 10
adool is on a distinguished road
Unhappy

เห็นชุดคำสั่งแล้วจะเป็นลม
ซับซ้อนมาก
คนเขียนโปรแกรมได้นี่สุดยอดจริงๆ
ขอบคุณมากครับ
adool is offline   Reply With Quote
Old 10-04-2015, 02:15 PM   #4
ก ล้ ว ย
สมาชิกไทยวิซ
 
ก ล้ ว ย's Avatar
 
Join Date: Jun 2012
Location: chumphae khonkaen
Posts: 46
ก ล้ ว ย is on a distinguished road
Default

มาทำ Toolbars กันต่อเลย
ที่หน้า User Interface
1. เลือก Toolbars 2. คลิกขวาเลือก New 3. เลือก Toolbar



4. ใส่ชื่อ Toolbar ของเรา เช่น My Toolbar 5. กด Apply



ต่อไปก็มาสร้างคำสั่งใหม่ของเรา
6. ที่ Command กด New สร้างใหม่เลย



7. ใส่คำสั่งของเราที่ช่อง Macro เช่น c1 และชื่อคำสั่ง สีแดง และรายละเอียดไปพร้อมเลย
8. สร้างไอค่อนใหม่ด้วยเลย เลือกมา 1 ไอค่อน และกด Edit



9. แก้ไขเสร็จแล้วก็ Save As เลย

__________________

To view links or images in signatures your post count must be 10 or greater. You currently have 0 posts.
ก ล้ ว ย is offline   Reply With Quote
Old 10-04-2015, 02:55 PM   #5
ก ล้ ว ย
สมาชิกไทยวิซ
 
ก ล้ ว ย's Avatar
 
Join Date: Jun 2012
Location: chumphae khonkaen
Posts: 46
ก ล้ ว ย is on a distinguished road
Default

10. Save As เป็นชื่อของเราเช่น สีแดง แล้วก้ Save



11. Close ปิดไปได้



12. เลือกไอค่อนที่เราสร้าง แล้วกด Apply



13. ที่ Command List เลื่อนไปหาคำสั่งของเรา สีแดง แล้วลากมาใส่ที่ My Toolbar ของเราเลย แล้วกด Apply



คลิกขวาที่บริเวณ Toolbar เลือก ACAD แล้วเลือก My Toolbar ของเรานำไปวางแล้วเรียกใช้ได้เลย



ต่อไปก็ทำให้ครบทุกคำส่ง c2 - c8 แล้วก็ clc กับ cln ด้วย
ใครทำเสร็จนำรูปมาโชว์กันหน่อยนะครับ
__________________

To view links or images in signatures your post count must be 10 or greater. You currently have 0 posts.
ก ล้ ว ย is offline   Reply With Quote
Old 10-04-2015, 08:03 PM   #6
jeradech
สมาชิกไทยวิซ
 
Join Date: Sep 2009
Location: The big circle
Posts: 57
jeradech is on a distinguished road
Default

เสร็จแล้วคับ ติวเตอร์ได้เยี่ยม
รอดูท่านต่อไป
[IMG][/IMG]
jeradech is offline   Reply With Quote
Old 10-04-2015, 08:21 PM   #7
ก ล้ ว ย
สมาชิกไทยวิซ
 
ก ล้ ว ย's Avatar
 
Join Date: Jun 2012
Location: chumphae khonkaen
Posts: 46
ก ล้ ว ย is on a distinguished road
Default


เยี่ยมเลยครับ ท่าน
ท่านต่อไปว่าไงครับ ได้สัก 5 ท่าน นี่จะได้มาปล่อยของอีกครับ
__________________

To view links or images in signatures your post count must be 10 or greater. You currently have 0 posts.
ก ล้ ว ย is offline   Reply With Quote
Old 22-04-2015, 02:21 PM   #8
ก ล้ ว ย
สมาชิกไทยวิซ
 
ก ล้ ว ย's Avatar
 
Join Date: Jun 2012
Location: chumphae khonkaen
Posts: 46
ก ล้ ว ย is on a distinguished road
Default

ทำได้คนเดียวก็ดีใจล่ะ จะได้ไม่เสียของ
จัดไปอีกสักสองดอก เอาไปเพิ่มใน ccl.lsp เลยนะครับ

(defun c:add() ;Dimlinear Diameter
(setvar "cmdecho" 0)
(setq p1 (getpoint "\n Pick Frist Point :"))
(setq p2 (getpoint p1 "\n Pick Second Point :"))
(Command "dimlinear" p1 p2 pause)
(Command "dimedit" "N" "%%c<>" "L" "")
(setvar "cmdecho" 1)
(Princ)
)

(defun c:did () ;Dimension to Diameter
(setvar "cmdecho" 0)
(princ "\n Select Dimension :")
(setq do (ssget '((0 . "DIMENSION"))))
(if do
(progn
(setq ndv "%%c<>")
(command "._DimEdit" "_N" ndv do "")
)
)
(setvar "cmdecho" 1)
(princ)
)

นี่ตัวอย่างครับ
https://youtu.be/5o3SDNfSZas" width="425" height="344">https://youtu.be/5o3SDNfSZas" />BORKED
__________________

To view links or images in signatures your post count must be 10 or greater. You currently have 0 posts.
ก ล้ ว ย is offline   Reply With Quote
Old 22-04-2015, 02:28 PM   #9
ก ล้ ว ย
สมาชิกไทยวิซ
 
ก ล้ ว ย's Avatar
 
Join Date: Jun 2012
Location: chumphae khonkaen
Posts: 46
ก ล้ ว ย is on a distinguished road
Default

นี่ตัวอย่างครับ

BORKED
__________________

To view links or images in signatures your post count must be 10 or greater. You currently have 0 posts.
ก ล้ ว ย is offline   Reply With Quote
Old 23-04-2015, 05:54 PM   #10
ก ล้ ว ย
สมาชิกไทยวิซ
 
ก ล้ ว ย's Avatar
 
Join Date: Jun 2012
Location: chumphae khonkaen
Posts: 46
ก ล้ ว ย is on a distinguished road
Default

โพส์เอง เม้นเองก็ได้ จัดไปอีกดอก ละกัน
Add Symbol Diameter and Tolerance
เลือกเส้นบอกขนาดที่ต้องการ

BORKED

Download
__________________

To view links or images in signatures your post count must be 10 or greater. You currently have 0 posts.
ก ล้ ว ย is offline   Reply With Quote
Reply

Thread Tools
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump


All times are GMT +7. The time now is 02:40 PM.

Design Developed by CompleteGFX
Powered by vBulletin® Version 3.8.5
Copyright ©2000 - 2018, Jelsoft Enterprises Ltd.
Copyright ©2002-2010 Thai3dViz Co.,Ltd.
Hosting by THAISITE.net